<?php include('casa/setup.casa.php');

$codigo_venta = DataForms::POST('codigo_venta');
$prod_codigo = DataForms::POST('prod_codigo');
$PrecU = DataForms::POST('PrecU');
$PrecDoc = DataForms::POST('PrecDoc');
$PrecCajaDoc = DataForms::POST('PrecCajaDoc');
$PrecDoc2 = DataForms::POST('PrecDoc2');

$Numtxt = DataForms::POST('Numtxt');

//comprobar sucursal
$sucursalID = SucursalUsuario($USID);
function SucursalUsuario($us_codigo){
	$Usuario = new DB();
	$sqlUsuario = "SELECT * FROM rol_usuarios
	WHERE us_id = '$us_codigo';";
	$Usuario->dbSQL($sqlUsuario);
	$Usuario->next();
	$sucursal = $Usuario->dbField('ubica_codigo');
  
	return $sucursal;
} 

//validar cantidad
$Productos = new DB();
$sqlProductos = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$prod_codigo';";
$Productos->dbSQL($sqlProductos);
$Productos->next();
	$prod_piezascaja = $Productos->dbField('prod_piezascaja');
	$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
	$prod_unidadesreal = $Productos->dbField('prod_unidadesreal');	
	$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,2);	

$tipo='';
	if($PrecU != ''){
		$cantidad = $PrecU;
		$diferencia = $prod_unidadesreal;
		$tipo = 1;//'Unidad';
	}
	if($PrecDoc != ''){
		$cantidad = $PrecDoc;
		$diferencia = $prod_unidadesreal;
		$tipo = 2;//'Docena';caja
	}
	if($PrecCajaDoc != ''){
		$cantidad = $PrecCajaDoc;		
		$diferencia = $CantidadRealCajas;
		$tipo = 3;//'Caja Docena';
	}
	if($PrecDoc2 != ''){
		$cantidad = $PrecDoc2;		
		$diferencia = $prod_unidadesreal;
		$tipo = 4;//'Precio Docena';
	}
	if($tipo==''){
		echo "<script>alert('Debe Ingresar la cantidad a vender!!!');$('#PrecU_".$Numtxt."').focus();</script>";
		exit();
	}
	if($cantidad > $diferencia){
		echo "<script>alert('No hay suficientes Unidades o Cajas disponibles !!!');$('#PrecU_".$Numtxt."').focus();</script>";
		exit();
	}	


$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
WHERE prod.ubica_codigo = ubi.ubica_codigo	
AND prod_codigo = '$prod_codigo';";	

$db= new DB();
$db->dbSQL($sql);
$html='';
$db->next();				
	$ubica_codigo = $db->dbField('ubica_codigo');
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');	

	switch($tipo){
		case 1 : $precio = $cantidad * $prod_preciounitario ; break;
		case 2 : $precio = $cantidad *(12)* $prod_preciodocena; 
		$cantidad = $cantidad*12;
		break;
		case 3 : $precio = $cantidad * $prod_preciocajadocena; break;		
		case 4 : $precio = $cantidad * $prod_preciodocena; break;		
	}

$Venta = new DB();
$sqlVenta = "INSERT INTO ventas_productos (
	ven_codigo, prod_codigo, ubica_codigo,sucursal,
	us_id, ven_tipo, ven_cantidad, 
	ven_precio,ventas_tipo
)VALUES(
	'$codigo_venta', '$prod_codigo', '$ubica_codigo', '$sucursalID',
	'$USID', '$tipo', '$cantidad', 
	'$precio','app'
);";	
$Venta->dbSQL($sqlVenta);

?>
<script>Android.MostrarSMS("Producto Agregado al Carrito de Compras!!!");Android.cerrar();</script>		